메인 콘텐츠로 건너뛰기
PATCH
/
v1
/
external
/
users
/
me
/
word-memories
/
{wordMemoryId}
Update User Word Memory
curl --request PATCH \
  --url https://api.tiro.ooo/v1/external/users/me/word-memories/{wordMemoryId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entry": "머신러닝"
}
'
import requests

url = "https://api.tiro.ooo/v1/external/users/me/word-memories/{wordMemoryId}"

payload = { "entry": "머신러닝" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entry: '머신러닝'})
};

fetch('https://api.tiro.ooo/v1/external/users/me/word-memories/{wordMemoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 1,
  "entry": "머신러닝",
  "createdAt": "2026-04-01T10:30:00Z"
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}

인증

Authorization
string
header
필수

API key in format {id}.{secret}

경로 매개변수

wordMemoryId
integer<int64>
필수

Word memory ID

본문

application/json
entry
string

Updated word or term. Must not be blank if provided.

Minimum string length: 1
예시:

"머신러닝"

응답

Word memory updated

id
integer<int64>
필수

Unique identifier of the word memory

예시:

1

entry
string
필수

The registered word or term

예시:

"인공지능"

createdAt
string<date-time>
필수

When the word memory was created (ISO 8601)

예시:

"2026-04-01T10:30:00Z"